# ArrayController
Date: 2016-07-21

cl.cromer.estructuras

## Class ArrayController

- java.lang.Object
- - cl.cromer.estructuras.ArrayController

All Implemented Interfaces:
  javafx.fxml.Initializable

    public class ArrayController
    extends java.lang.Object
    implements javafx.fxml.Initializable

Esta clase es para controlar todos la interfaz de Array.

Author:
  Chris Cromer

### Field Summary

Fields
`private Array` `array` El array usado en la aplicación.
`private javafx.scene.text.Text` `codigoArray` Donde va el codigo a mostrar a la pantalla.
`private javafx.scene.layout.VBox` `contenidoArray` Donde poner el contenido de array.
`private Grafico` `grafico` Grafico rectangulos.
`private java.util.ResourceBundle` `resourceBundle` Donde está guardado los idiomas.
`private javafx.scene.Scene` `scene` La escena donde está cosas graficas.
`private TextFieldLimited` `valorArray` La caja para ingresar textos.

### Constructor Summary

Constructors
Constructor and Description
`ArrayController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `botonBuscar()` Buscar si existe un elemento en el array y mostrar el codigo en la pantalla Si existe el valor destacarlo.
`protected void` `botonEliminar()` Eliminar un valor del array si existe y mostrar el codigo en la pantalla.
`protected void` `botonInsertar()` Insertar un valor al array y mostrar el codigo en la pantalla.
`protected void` `botonLlenar()` Llenar el array con numeros al azar.
`protected void` `botonVaciar()` Vaciar el array de todos los valores.
`private void` `generarGrafico()` Poner los valores en el grafico.
`void` `initialize(java.net.URL location, java.util.ResourceBundle resourceBundle)` Inicializar todos los datos y dibujar las graficas.
`private void` `initializeArray()` Crear el array de tamaño 10.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### valorArray

    private TextFieldLimited valorArray

La caja para ingresar textos.

#### contenidoArray

    private javafx.scene.layout.VBox contenidoArray

Donde poner el contenido de array.

#### codigoArray

    private javafx.scene.text.Text codigoArray

Donde va el codigo a mostrar a la pantalla.

#### scene

    private javafx.scene.Scene scene

La escena donde está cosas graficas.

#### resourceBundle

    private java.util.ResourceBundle resourceBundle

Donde está guardado los idiomas.

#### array

    private Array array

El array usado en la aplicación.

#### grafico

    private Grafico grafico

Grafico rectangulos.

### Constructor Detail

#### ArrayController

    public ArrayController()

### Method Detail

#### initialize

    public void initialize(java.net.URL location,
                           java.util.ResourceBundle resourceBundle)

Inicializar todos los datos y dibujar las graficas.

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `location` - URL: El URL de fxml en uso.
  `resourceBundle` - ResourceBundle: Tiene datos de idioma.

#### botonLlenar

    protected void botonLlenar()

Llenar el array con numeros al azar.

#### botonVaciar

    protected void botonVaciar()

Vaciar el array de todos los valores.

#### botonInsertar

    protected void botonInsertar()

Insertar un valor al array y mostrar el codigo en la pantalla.

#### botonEliminar

    protected void botonEliminar()

Eliminar un valor del array si existe y mostrar el codigo en la pantalla.

#### botonBuscar

    protected void botonBuscar()

Buscar si existe un elemento en el array y mostrar el codigo en la pantalla Si existe el valor destacarlo.

#### initializeArray

    private void initializeArray()

Crear el array de tamaño 10. La scene está usado para saber si es de tipo ordenado o simple segun el ménu.

#### generarGrafico

    private void generarGrafico()

Poner los valores en el grafico.